

%   This function generates the results for the paper:

%           "The Propagation of Regional Recessions"

%   by James Hamilton and Michael Owyang


clear all;clc;
KAPPA_MIN = 7;
KAPPA_MAX = 7;
R = 10;
score = zeros(KAPPA_MAX,1);

for KAPPA = KAPPA_MIN:KAPPA_MAX
    [score(KAPPA,1)] = HO_cross_val(R,KAPPA);    
end,

[score_star,KAPPA_STAR] = min(score(KAPPA_MIN:KAPPA_MAX,1));
KAPPA_STAR = KAPPA_STAR + KAPPA_MIN - 1;
[priors,draw,results,finalres,meanz] = HO_clusters_CV(KAPPA_STAR);
