
% t_r(r-1) + 1:t_r(r)
function [ZT_0,Y_0] = HO_Z_cval_rr(draw,priors,t_r,r)
ZT_0 = [];
Y_0 = [];
ZTm1 = draw.Z(t_r(r-1),1);
xitm1 = zeros(priors.K,1);
xitm1(ZTm1,1) = 1;
xi = zeros(priors.K,priors.T_full);
%   iterate forward
for t = t_r(r-1)+1:t_r(r)+1
    %   compute xit
    xi(:,t) = draw.P' * xitm1;
    xitm1 = xi(:,t);
end,
ZTp1 = draw.Z(t_r(r-1)+1,1);
%xi(ZTp1,t+1) = 1;
for t = t_r(r):-1:t_r(r-1)+1
    Pr_Zt_Ztp1 = draw.P(:,ZTp1) .* xi(:,t) / xi(ZTp1,t+1);
    %   draw the next aggregate regime
    u = unifrnd(0,1);
    pr = cumsum(Pr_Zt_Ztp1,1);
    Zt = find((u < pr),1);
    ZT_0 = [Zt;ZT_0];
    %   compute the expected value
    Yt = draw.mu_0 + draw.mu_1 .* draw.H(:,Zt);
    Y_0 = [Yt';Y_0];
    ZTp1 = Zt;
end